import type { ComponentOptionsInputValue, PartialPick, VNodeClass, VNodeProperties } from '@vuecs/core';
import type { Slots, VNodeChild } from 'vue';
import type { ValidationMessages, ValidationResult, ValidationTranslator } from '../type';
export type FormGroupOptions = {
    slotItems: Slots;
    label: boolean;
    labelClass: VNodeClass;
    labelContent: VNodeChild;
    content?: VNodeChild;
    class: VNodeClass;
    props: VNodeProperties;
    hint: boolean;
    hintClass: VNodeClass;
    hintContent: VNodeChild;
    validation: boolean;
    validationResult: Partial<ValidationResult>;
    validationMessages: ValidationMessages;
    validationTranslator?: ValidationTranslator;
    validationErrorClass: VNodeClass;
    validationWarningClass: VNodeClass;
};
export type FormGroupOptionsInput = ComponentOptionsInputValue<PartialPick<FormGroupOptions, 'label' | 'labelClass' | 'labelContent' | 'hint' | 'hintClass' | 'hintContent' | 'class' | 'props' | 'validation' | 'validationErrorClass' | 'validationWarningClass'>> & PartialPick<FormGroupOptions, 'content' | 'slotItems' | 'validationMessages' | 'validationResult' | 'validationTranslator'>;
export type FormGroupLabelSlotProps = {
    class: VNodeClass;
};
//# sourceMappingURL=type.d.ts.map